<?php
namespace Claromentis\Infocapture\UseCase;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_b9c76f4913f802b7" . "9c8b55331630045d" => base64_decode("U0VMRUNUIGlkIEZST00gaGRfcHJvamVjdCBXSEVSRSB1c2VfbWFpb" . "F9zZXJ2aWNlID0gMSBBTkQgaGFuZGxlX2luY29taW5nX21haWwgPS" . "AxIEFORCBtYWlsZ3VuX3JlY2lwaWVudF9hZGRyZXNzIGVxOnN0cjp" . "mcm9tX2FkZHJlc3M="), "i" . "d" => base64_decode("a" . "W" . "Q" . "="));
use Claromentis\Core\DAL;
use Claromentis\Mailgun\Repository\MailgunRepository;
class GetProjectByEmailAddress
{
    protected $db;
    protected $mailgun_repository;
    public function __construct(DAL\Db $db, MailgunRepository $_05ff363b87e638cbaf11926eb334bf80)
    {
        $this->db = $db;
        $this->mailgun_repository = $_05ff363b87e638cbaf11926eb334bf80;
    }
    public function GetMailgunProject($_539cf4259a149ca9dbb739b2cdb7c608)
    {
        if (!$this->mailgun_repository->IsMailgunAvailable()) {
            return null;
        }
        $project = null;
        $_1f24efd4735b7a11b391147435e7d35d = $this->db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_b9c76f491" . "3f802b79c8" . "b553316300" . "45d"], $_539cf4259a149ca9dbb739b2cdb7c608);
        if ($_1f24efd4735b7a11b391147435e7d35d->numRows() === 1) {
            $_343a395319323dd7609bcbc465b4d034 = $_1f24efd4735b7a11b391147435e7d35d->fetchArray();
            $project = new \HDProject();
            $project->Load($_343a395319323dd7609bcbc465b4d034[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["i" . "d"]]);
        }
        return $project;
    }
}